Skip to main content
GET
/
v2
/
nodes
/
{id}
Retrieve node
curl --request GET \
  --url https://api.chainstack.com/v2/nodes/{id}/ \
  --header 'Authorization: Bearer <token>'
{
  "id": "ND-123-456-789",
  "name": "My Ethereum node",
  "network": "mainnet",
  "protocol": "ethereum",
  "project": "PR-123-456-789",
  "cloud": "CC-0001",
  "region": "us-east-1",
  "provider": "aws",
  "status": "running",
  "details": {
    "api_namespaces": [
      "net",
      "eth",
      "web3",
      "txpool",
      "debug"
    ],
    "https_endpoint": "https://nd-123-456-789.p2pify.com",
    "wss_endpoint": "wss://ws-nd-123-456-789.p2pify.com",
    "beacon_endpoint": "https://beacon-nd-123-456-789.p2pify.com",
    "graphql_endpoint": "https://nd-123-456-789.p2pify.com/graphql"
  },
  "blockchain": "BC-000-000"
}

Authorizations

Authorization
string
header
required

Chainstack API uses API keys to authenticate requests. You can view and manage your API keys in the platform UI. Your API keys carry many privileges, so be sure to keep them secure! Provide your API key as the Authorization header. The value of the header consists of Bearer prefix and secret key generated through the platform UI.

curl -X GET 'https://api.chainstack.com/v1/organization/' \
--header 'Authorization: Bearer FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'

All API requests must be made over HTTPS.

Path Parameters

id
string
required

A unique value identifying the Object.

Response

id
string
required
name
string
required

Name of the node.

network
string
required

Network name.

protocol
string
required

Protocol name.

project
string
required

ID of the project.

cloud
string
required

ID of the cloud.

region
string
required

Cloud region.

provider
string
required

Cloud provider.

status
string
required

Status of the node.

details
object
required

Protocol-specific attributes.

blockchain
string
required

Blockchain identifier.

Example:

"BC-000-000"

Last modified on February 27, 2026